### Method

# Atspi StateSet compare

#### Declaration [src]

    AtspiStateSet*
    atspi_state_set_compare (
      AtspiStateSet* set,
      AtspiStateSet* set2
    )

#### Description [src]

Determines the differences between two instances of `AtspiStateSet`.

`see` #atspi_state_set_equals.

#### Parameters

`set2`

  Type: `AtspiStateSet`

  A pointer to the second `AtspiStateSet` object on which to operate.

  The data is owned by the caller of the method.

#### Return value

Type: `AtspiStateSet`

An `AtspiStateSet` object containing all states contained on one of the two sets but not the other.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.